library(data.table)
library(dplyr)
# df <- read.csv("data.csv") %>% as.data.table()
df <- read.csv("adat_pozicioval.csv") %>% as.data.table()
df <- df[,-c("X","X.1")]
factorlist <- c("tipus","Akadálymentesített","Átlagáramfogyasztásinfo","Átlaggázfogyasztásinfo",
			"Belmagasság","Bútorozott","Dohányzás","Emelet","Energiatanúsítvány","Építéséve",
			"Épületszintjei","Fürdőéswc","Fűtés","Gépesített","Ingatlanállapota",
			"Kertkapcsolatos","Kilátás","Kisállat","Komfort","Költözhető","Közösköltség",
			"Légkondicionáló","Lift","Minbérletiidő","Parkolás","Rezsiköltség",
			"Szigetelés","Tájolás","Tetőtér","Panelprogram","Parkolóhelyára")
df[,factorlist]<- lapply(df[,..factorlist],function(x){ifelse(x=="nincs megadva",NA,x)})
df[,factorlist]<-	lapply(df[,..factorlist],as.factor)
# Erkélymérete
# lapply(df,typeof)
### tavolsag.R kovetkezik
